Get Resource

Get Resource
Get the Resource for the specified identifier

Get the Resource for the specified identifier

Request
URI
GET
https://{api_host}/suite-api/api/resources/{id}
COPY
Path Parameters
string
id
Required

The Resource identifier


Authentication
This operation uses the following authentication methods.
Responses
200

The Resource for the specified UUID

Returns resource of type(s) application/json
"{\n  \"creationTime\" : 1753340199158,\n  \"resourceKey\" : {\n    \"name\" : \"VM1\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"resourceKindKey\" : \"VirtualMachine\",\n    \"resourceIdentifiers\" : [ {\n      \"identifierType\" : {\n        \"name\" : \"VMEntityObjectID\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"vm-123\"\n    }, {\n      \"identifierType\" : {\n        \"name\" : \"VMEntityVCID\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"CBAD174A-622E-4650-805A-064F824FFA76\"\n    }, {\n      \"identifierType\" : {\n        \"name\" : \"VMEntityName\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"VM1\"\n    } ]\n  },\n  \"credentialInstanceId\" : \"51f8f60d-4a39-4839-9924-698d022e2e10\",\n  \"resourceStatusStates\" : [ ],\n  \"dtEnabled\" : true,\n  \"badges\" : [ ],\n  \"relatedResources\" : [ ],\n  \"identifier\" : \"9a9cf74d-b1d0-4b24-9340-67a4625d8755\"\n}"
array of object
badges
Optional

The various major and minor badges and their values for a Resource. If certain badges are not present in the list then either those badges are not applicable to this resource or the calculation of those badges has been disabled for this resource.

integer As int64 As int64
creationTime
Required

Time the Resource was created in the system. This is a 'read-only' property and is system generated.The server ignores any changes to this field when trying to update a resource.

string As uuid As uuid
credentialInstanceId
Optional

Credential instance identifier assigned to this Resource, applicable only for adapter instances.

string
description
Optional

Description of the Resource

boolean
dtEnabled
Optional

DT calculation enabled or not. By default DT calculation for a resource is enabled (during its creation).

object
extension
Optional

extension

object
geoLocation
Optional

Represents a geographical location on planet earth.

string As uuid As uuid
identifier
Optional

Identifier of the Resource (typically a UUID).

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the resource, applicable only for adapter instances.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the resource, applicable only for adapter instances.

array of string
relatedResources
Optional

Collection of related resource identifiers

string
resourceHealth
Required

Enumeration that identifies the health of a Resource

Possible values are : GREEN, YELLOW, ORANGE, RED, GREY,
number As double As double
resourceHealthValue
Required

Resource Health Score. This is a 'read-only' property and its value is computed by the system. The server ignores any changes to this field when trying to update a resource.

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.

array of object
resourceStatusStates
Required

The resource status and resource state for this resource as reported by one or more adapter instances. The server ignores any changes to this field when trying to update a resource.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/{id}